Classes | Enumerations

# archive.h File Reference

## Classes
class | wxArchiveInputStream
| This is an abstract base class which serves as a common interface to archive input streams such as wxZipInputStream. More...
class | wxArchiveOutputStream
| This is an abstract base class which serves as a common interface to archive output streams such as wxZipOutputStream. More...
class | wxArchiveEntry
| This is an abstract base class which serves as a common interface to archive entry classes such as wxZipEntry. More...
class | wxArchiveClassFactory
| Allows the creation of streams to handle archive formats such as zip and tar. More...
class | wxArchiveNotifier
| If you need to know when a wxArchiveInputStream updates a wxArchiveEntry object, you can create a notifier by deriving from this abstract base class, overriding wxArchiveNotifier::OnEntryUpdated. More...
class | wxArchiveIterator
| An input iterator template class that can be used to transfer an archive's catalogue to a container. More...
## Enumerations
enum | wxStreamProtocolType { wxSTREAM_PROTOCOL, wxSTREAM_MIMETYPE, wxSTREAM_ENCODING, wxSTREAM_FILEEXT, wxSTREAM_PROTOCOL, wxSTREAM_MIMETYPE, wxSTREAM_ENCODING, wxSTREAM_FILEEXT }
| Type of stream enumeration; used by wxArchiveClassFactory methods. More...

## Enumeration Type Documentation

enum wxStreamProtocolType

Type of stream enumeration; used by wxArchiveClassFactory methods.

Enumerator:

  wxSTREAM_PROTOCOL | wxFileSystem protocol (should be only one)
  wxSTREAM_MIMETYPE | MIME types the stream handles.
  wxSTREAM_ENCODING | Not used for archives.
  wxSTREAM_FILEEXT | File extensions the stream handles.
  wxSTREAM_PROTOCOL | wxFileSystem protocol (should be only one).
  wxSTREAM_MIMETYPE | MIME types the stream handles.
  wxSTREAM_ENCODING | The HTTP Content-Encodings the stream handles.
  wxSTREAM_FILEEXT | File extensions the stream handles.

|  | [ top ]